## parlatype 1.6.2

=== meson_options.txt ===
option(
	'libreoffice',
	type: 'boolean',
	value: true,
	description: 'Install LibreOffice helpers'
)
option(
	'libreoffice-dir',
	type: 'string',
	value: '/usr/lib/libreoffice/share/Scripts/python',
	description: 'Directory to install LibreOffice python scripts'
)
option(
	'gtk-doc',
	type: 'boolean',
	value: false,
	description: 'Install library reference, requires gtk-doc'
)
option(
	'glade',
	type: 'boolean',
	value: false,
	description: 'Install glade catalog, requires gladeui-2.0'
)
option(
	'gir',
	type: 'boolean',
	value: false,
	description: 'Install GObject Introspection data, requires gobject-introspection'
)
option(
	'asr',
	type: 'boolean',
	value: true,
	description: 'Compile with ASR, requires CMU Sphinx'
)

## parlatype 1.5.4

=== debian/changelog ===
parlatype (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * Apply upstream patch to fix build on hurd-i386 and kfreebsd-*
    (Closes: #882517)
  * Build docs architecture independent (Closes: #882520)
  * Disable new upstream tests (they fail in build environment)
  * Add copyright for test data
  * Bump standards version to 4.1.1 (no changes needed)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Tue, 28 Nov 2017 23:50:35 +0100

parlatype (1.5.2-1) unstable; urgency=medium

  * Initial release (Closes: #868886)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Thu, 28 Sep 2017 12:30:27 +0200

=== debian/control ===
Source: parlatype
Section: sound
Priority: optional
Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
Build-Depends: appstream-util,
               debhelper (>= 10),
               desktop-file-utils,
               gobject-introspection,
               gtk-doc-tools,
               intltool,
               libgirepository1.0-dev,
               libgladeui-dev (>= 3.15),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.10.0),
               libxml2-utils,
               yelp-tools
Standards-Version: 4.1.1
Homepage: https://gkarsay.github.io/parlatype/
Vcs-Git: https://github.com/gkarsay/parlatype-debian.git
Vcs-Browser: https://github.com/gkarsay/parlatype-debian

Package: parlatype
Architecture: any
Depends: gstreamer1.0-plugins-good,
	 ${shlibs:Depends},
	 ${misc:Depends}
Description: Minimal audio player for manual speech transcription
 Plays audio sources to transcribe them in your favourite text application.
 Speed of playback can be changed without changing the pitch and on pause it
 will rewind for a few seconds according to your preferences. Parlatype can be
 controlled with the "Play" button from your keyboard even if its window is not
 focused.

Package: libparlatype1
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Multi-Arch: same
Description: Library for Parlatype - runtime version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains runtime libraries needed by Parlatype.

Package: libparlatype-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libparlatype1 (= ${binary:Version}),
         gir1.2-parlatype-1.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.3),
         libgtk-3-dev (>= 3.7.7)
Recommends: libparlatype-doc
Multi-Arch: same
Description: Library for Parlatype - development version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package provides the necessary development libraries and include
 files to develop and compile libparlatype.

Package: libparlatype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the Parlatype library
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains the HTML documentation for the Parlatype library
 in /usr/share/doc/libparlatype-doc/html/ .

Package: gir1.2-parlatype-1.0
Architecture: any
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Multi-Arch: same
Description: Library for Parlatype - gir bindings
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

Package: parlatype-libreoffice-helpers
Architecture: all
Depends: ${misc:Depends},
         libreoffice-script-provider-python,
	 parlatype (>= ${source:Version})
Description: Set of macros for LibreOffice
 Controls Parlatype from within LibreOffice. The most important ones are to
 insert time stamps into the document and to jump to that position in Parlatype.
 Also adds a help page to Parlatype itself.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_autoreconf:
	dh_autoreconf --as-needed

# generate docs only architecture independent
override_dh_auto_configure-indep:
	dh_auto_configure -- --enable-gtk-doc \
	                     --enable-glade-catalog \
	                     --disable-tests

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-glade-catalog \
	                     --disable-tests

%:
	dh $@ --with gir

## parlatype 1.5.5

=== debian/changelog ===
parlatype (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
  * Remove patches included upstream
  * d/control: move gtk-doc-tools to Build-Depends-Indep
  * Bump debhelper compat level to 11
  * Add autopkgtest
  * Update copyright
  * Update Vcs-* to salsa.debian.org
  * Bump standards version to 4.1.5 (add Rules-Requires-Root: no)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Fri, 06 Jul 2018 20:18:51 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
 Build-Depends: appstream-util,
-               debhelper (>= 10),
+               debhelper (>= 11),
                desktop-file-utils,
                gobject-introspection,
-               gtk-doc-tools,
                intltool,
                libgirepository1.0-dev,
                libgladeui-dev (>= 3.15),
@@ -15,10 +14,13 @@
                libgtk-3-dev (>= 3.10.0),
                libxml2-utils,
                yelp-tools
-Standards-Version: 4.1.1
+Build-Depends-Indep:
+               gtk-doc-tools
+Standards-Version: 4.1.5
 Homepage: https://gkarsay.github.io/parlatype/
-Vcs-Git: https://github.com/gkarsay/parlatype-debian.git
-Vcs-Browser: https://github.com/gkarsay/parlatype-debian
+Vcs-Git: https://salsa.debian.org/gabork-guest/parlatype.git
+Vcs-Browser: https://salsa.debian.org/gabork-guest/parlatype
+Rules-Requires-Root: no
 
 Package: parlatype
 Architecture: any

## parlatype 1.5.6

=== debian/changelog ===
parlatype (1.5.6-1) unstable; urgency=medium

  * d/gbp.conf: create file with pristine-tar = TRUE
  * New upstream version 1.5.6
  * d/control: bump Standards-Version to 4.2.0 (no changes)
  * d/copyright:
    - contract single copyright years into a range of years
    - add complete legal text to CC licenses
  * d/upstream/medadata: create file with metadata

 -- Gabor Karsay <gabor.karsay@gmx.at>  Fri, 17 Aug 2018 14:29:36 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                yelp-tools
 Build-Depends-Indep:
                gtk-doc-tools
-Standards-Version: 4.1.5
+Standards-Version: 4.2.0
 Homepage: https://gkarsay.github.io/parlatype/
 Vcs-Git: https://salsa.debian.org/gabork-guest/parlatype.git
 Vcs-Browser: https://salsa.debian.org/gabork-guest/parlatype

## parlatype 1.6.1

=== debian/changelog ===
parlatype (1.6.1-3) unstable; urgency=medium

  * d/control: Add architecture restrictions for pocketsphinx/sphinxbase
  * d/rules: Match architecture restrictions with d/control
  * d/tests: Ignore deprecated declarations (fixes autopkgtest)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Wed, 28 Aug 2019 15:09:58 +0200

parlatype (1.6.1-2) unstable; urgency=medium

  * Add basic Salsa CI pipeline
  * d/control: Add Breaks+Replaces for libparlatype2<=>libparlatype1
    (Closes: #934643)
  * d/patches:
    - Add fix for pkg-config cflags (fixes autopkgtest)
    - Add fix for Salsa CI autopkgtest (change warning into info)
  * d/rules: Configure without ASR on architectures without libpocketsphinx

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 18 Aug 2019 16:36:38 +0200

parlatype (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * d/control:
    - Bump Standards-Version to 4.4.0 (no changes)
    - Bump debhelper compat using debhelper-compat (= 12)
      and remove debian/compat
    - Bump libparlatype's so-name to 2
    - Bump gir1.2-parlatype-1.0 to gir1.2-parlatype-2.0
    - Remove intltool from Build-Depends
    - Add new Build-Depends (appstream, libatspi2.0-dev,
      libpocketsphinx-dev, libsphinxbase-dev, meson)
    - Bump libgtk version to >= 3.22.0
  * d/copyright:
    - Add BSD-2 license for pocketsphinx files
    - Remove license for removed file
    - Update years
  * d/libparlatype2.symbols
    - Update symbols
    - Add Build-Depends-Package field
  * d/patches: Add upstream patch to remove a private symbol
  * d/rules:
    - Change configure options to Meson syntax
    - Skip tests, they fail in build environment
    - Build documentation on all architectures
      (regression to previous package with Autotools)
    - Exclude GStreamer plugin from dh_makeshlibs
  * d/*.install:
    - Adjust for renamed libreoffice helpers metainfo file
    - Adjust libreoffice-helpers script path
    - Install new files (help pages, GStreamer plugin)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Mon, 05 Aug 2019 19:39:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,24 @@
 Section: sound
 Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
-Build-Depends: appstream-util,
-               debhelper (>= 11),
+Build-Depends: appstream,
+               appstream-util,
+               debhelper-compat (= 12),
                desktop-file-utils,
                gobject-introspection,
-               intltool,
+               gtk-doc-tools,
+               libatspi2.0-dev,
                libgirepository1.0-dev,
                libgladeui-dev (>= 3.15),
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgtk-3-dev (>= 3.10.0),
+               libgtk-3-dev (>= 3.22.0),
+               libpocketsphinx-dev [amd64 arm64 armel armhf i386 ppc64el hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k ppc64 riscv64 sparc64 x32],
+               libsphinxbase-dev [amd64 arm64 armel armhf i386 ppc64el hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k ppc64 riscv64 sparc64 x32],
                libxml2-utils,
+               meson (>= 0.47.2),
                yelp-tools
-Build-Depends-Indep:
-               gtk-doc-tools
-Standards-Version: 4.2.0
+Standards-Version: 4.4.0
 Homepage: https://gkarsay.github.io/parlatype/
 Vcs-Git: https://salsa.debian.org/gabork-guest/parlatype.git
 Vcs-Browser: https://salsa.debian.org/gabork-guest/parlatype
@@ -34,12 +37,14 @@
  controlled with the "Play" button from your keyboard even if its window is not
  focused.
 
-Package: libparlatype1
+Package: libparlatype2
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Breaks: libparlatype1
+Replaces: libparlatype1
 Multi-Arch: same
 Description: Library for Parlatype - runtime version
  Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
@@ -51,8 +56,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libparlatype1 (= ${binary:Version}),
-         gir1.2-parlatype-1.0 (= ${binary:Version}),
+         libparlatype2 (= ${binary:Version}),
+         gir1.2-parlatype-2.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.35.3),
          libgtk-3-dev (>= 3.7.7)
 Recommends: libparlatype-doc
@@ -77,7 +82,7 @@
  This package contains the HTML documentation for the Parlatype library
  in /usr/share/doc/libparlatype-doc/html/ .
 
-Package: gir1.2-parlatype-1.0
+Package: gir1.2-parlatype-2.0
 Architecture: any
 Section: introspection
 Depends: ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Configure without ASR (Automatic Speech Recognition) on architectures
# that don't have libsphinxbase/libpocketsphinx.
# Recheck this list with next release.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter mips64el mipsel s390x alpha ia64 powerpc,$(DEB_HOST_ARCH)))
ASR = -Dasr=false
override_dh_install:
	dh_install -Xlibgstparlasphinx.so \
	           -Xasr.page \
	           -Xasr-setup.page
else
ASR = -Dasr=true
endif

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk-doc=true \
	                     -Dglade=true \
                             -Dgir=true \
	                     $(ASR)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstparlasphinx

override_dh_auto_test:
# Skip tests, they fail in build environment

%:
	dh $@ --with gir

## parlatype 1.6.2

=== debian/changelog ===
parlatype (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2
  * Drop upstream patches
  * Enable tests
  * Build docs architecture independent
  * d/control:
    - Add doc packages to Build-Depends-Indep and Recommends
    - Shorter arches restriction list
  * d/rules:
    - Remove leftover from Autotools setup (override_dh_autoreconf)
    - Add dh option --buildsystem=meson

 -- Gabor Karsay <gabor.karsay@gmx.at>  Tue, 03 Sep 2019 11:46:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,30 @@
 Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
 Build-Depends: appstream,
-               appstream-util,
+               appstream-util <!nocheck>,
+               at-spi2-core <!nocheck>,
+               dbus <!nocheck>,
                debhelper-compat (= 12),
-               desktop-file-utils,
+               desktop-file-utils <!nocheck>,
                gobject-introspection,
-               gtk-doc-tools,
+               gstreamer1.0-plugins-good <!nocheck>,
                libatspi2.0-dev,
                libgirepository1.0-dev,
                libgladeui-dev (>= 3.15),
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.0),
-               libpocketsphinx-dev [amd64 arm64 armel armhf i386 ppc64el hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k ppc64 riscv64 sparc64 x32],
-               libsphinxbase-dev [amd64 arm64 armel armhf i386 ppc64el hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 m68k ppc64 riscv64 sparc64 x32],
+               libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
+               libsphinxbase-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libxml2-utils,
                meson (>= 0.47.2),
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
                yelp-tools
+Build-Depends-Indep:
+               gtk-doc-tools,
+               libglib2.0-doc,
+               libgtk-3-doc
 Standards-Version: 4.4.0
 Homepage: https://gkarsay.github.io/parlatype/
 Vcs-Git: https://salsa.debian.org/gabork-guest/parlatype.git
@@ -73,6 +81,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
+Recommends: libglib2.0-doc,
+            libgtk-3-doc
 Suggests: devhelp
 Multi-Arch: foreign
 Description: Documentation files for the Parlatype library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTIONS = -Dglade=true -Dgir=true

ifneq ($(filter libparlatype-doc,$(shell dh_listpackages)),)
CONFIGURE_OPTIONS += -Dgtk-doc=true
else
CONFIGURE_OPTIONS += -Dgtk-doc=false
endif

# Configure without ASR (Automatic Speech Recognition) on architectures
# that don't have libsphinxbase/libpocketsphinx.
# Recheck this list with next release.
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
ifneq (,$(filter mips64el mipsel s390x alpha ia64 powerpc,$(DEB_HOST_ARCH)))
CONFIGURE_OPTIONS += -Dasr=false
override_dh_install:
	dh_install -Xlibgstparlasphinx.so \
	           -Xasr.page \
	           -Xasr-setup.page
else
CONFIGURE_OPTIONS += -Dasr=true
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0/libgstparlasphinx

# dconf in dbus-run-session expects a writable XDG_RUNTIME_DIR
RUN_DIR=$(CURDIR)/debian/tmp/run
override_dh_auto_test:
	mkdir -p -m0700 $(RUN_DIR)
	XDG_RUNTIME_DIR=$(RUN_DIR) dbus-run-session -- xvfb-run dh_auto_test

%:
	dh $@ --with gir --buildsystem=meson

## parlatype 2.1

=== meson_options.txt ===
--- 
+++ 
@@ -1,15 +1,3 @@
-option(
-	'libreoffice',
-	type: 'boolean',
-	value: true,
-	description: 'Install LibreOffice helpers'
-)
-option(
-	'libreoffice-dir',
-	type: 'string',
-	value: '/usr/lib/libreoffice/share/Scripts/python',
-	description: 'Directory to install LibreOffice python scripts'
-)
 option(
 	'gtk-doc',
 	type: 'boolean',

=== debian/changelog ===
parlatype (2.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Gabor Karsay ]
  * New upstream version 2.1 to unstable
  * d/control:
    - Update Vcs URI after user name change
    - Bump Standards-Version to 4.5.1 (no changes needed)
  * d/copyright: reorder sections
  * Update d/libparlatype3.symbols
  * Update d/libparlatype3.install
  * d/rules: Remove -Wl,--as-needed linker flag
  * Add upstream patch to fix tests

 -- Gabor Karsay <gabor.karsay@gmx.at>  Tue, 08 Dec 2020 20:55:39 +0100

parlatype (2.0-2) experimental; urgency=medium

  * Adjust to renamed package libreoffice-parlatype
  * Bump debhelper version to 13 (no changes)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Thu, 16 Jul 2020 16:18:52 +0200

parlatype (2.0-1) experimental; urgency=medium

  * New upstream version 2.0
    - Remove parlatype-libreoffice-helpers (separate source package)
  * d/copyright:
    - Remove copyright and license for dropped files
    - Adjust renamed files
    - Update years
    - Add Upstream-Contact
    - Remove tabs
  * d/control
    - Bump standards version to 4.5.0 (no changes needed)
    - Update homepage
    - parlatype: Suggests parlatype-libreoffice-extension
    - parlatype: Breaks parlatype-libreoffice-helpers
    - libparlatype3: Update Breaks+Replaces
    - gir1.2-parlatype-3.0: Breaks+Replaces older versions
  * Configure without ASR: Remove experimental feature
    - Drop dependencies libatspi2.0-dev, libpocketsphinx-dev, libsphinxbase-dev
  * d/parlatype.install: Adjust for new application ID
  * Bump libparlatype2 to libparlatype3
  * Update libparlatype3 symbols
  * Remove lintian overrides for libparlatype
  * Bump gir1.2-parlatype-2.0 to 3.0
  * tests: Don't run removed unit tests

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sat, 21 Mar 2020 12:03:35 +0100

=== debian/control ===
Source: parlatype
Section: sound
Priority: optional
Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
Build-Depends: appstream-util <!nocheck>,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils <!nocheck>,
               gobject-introspection,
               gstreamer1.0-plugins-good <!nocheck>,
               libgirepository1.0-dev,
               libgladeui-dev (>= 3.15),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.22.0),
               libxml2-utils,
               meson (>= 0.47.2),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               yelp-tools
Build-Depends-Indep:
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-3-doc
Standards-Version: 4.5.1
Homepage: https://www.parlatype.org/
Vcs-Git: https://salsa.debian.org/gkarsay/parlatype.git
Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype
Rules-Requires-Root: no

Package: parlatype
Architecture: any
Depends: gstreamer1.0-plugins-good,
	 ${shlibs:Depends},
	 ${misc:Depends}
Suggests: libreoffice-parlatype
Breaks: parlatype-libreoffice-helpers (<= 1.6.2)
Description: Minimal audio player for manual speech transcription
 Plays audio sources to transcribe them in your favourite text application.
 Speed of playback can be changed without changing the pitch and on pause it
 will rewind for a few seconds according to your preferences. Parlatype can be
 controlled with the "Play" button from your keyboard even if its window is not
 focused.

Package: libparlatype3
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libparlatype1,
        libparlatype2
Replaces: libparlatype1,
          libparlatype2
Multi-Arch: same
Description: Library for Parlatype - runtime version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains runtime libraries needed by Parlatype.

Package: libparlatype-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libparlatype3 (= ${binary:Version}),
         gir1.2-parlatype-3.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.35.3),
         libgtk-3-dev (>= 3.7.7)
Recommends: libparlatype-doc
Multi-Arch: same
Description: Library for Parlatype - development version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package provides the necessary development libraries and include
 files to develop and compile libparlatype.

Package: libparlatype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libgtk-3-doc
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the Parlatype library
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains the HTML documentation for the Parlatype library
 in /usr/share/doc/libparlatype-doc/html/ .

Package: gir1.2-parlatype-3.0
Architecture: any
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Breaks: gir1.2-parlatype-1.0,
        gir1.2-parlatype-2.0
Replaces: gir1.2-parlatype-1.0,
          gir1.2-parlatype-2.0
Multi-Arch: same
Description: Library for Parlatype - gir bindings
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTIONS = -Dglade=true -Dgir=true -Dasr=false

ifneq ($(filter libparlatype-doc,$(shell dh_listpackages)),)
CONFIGURE_OPTIONS += -Dgtk-doc=true
else
CONFIGURE_OPTIONS += -Dgtk-doc=false
endif

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTIONS)

# dconf in dbus-run-session expects a writable XDG_RUNTIME_DIR
RUN_DIR=$(CURDIR)/debian/tmp/run
override_dh_auto_test:
	mkdir -p -m0700 $(RUN_DIR)
	XDG_RUNTIME_DIR=$(RUN_DIR) dbus-run-session -- xvfb-run dh_auto_test

%:
	dh $@ --with gir --buildsystem=meson

=== debian/tests/control ===
Tests: libparlatype-test
Depends: libparlatype-dev,
         gcc,
         libgstreamer1.0-dev,
         libgstreamer-plugins-base1.0-dev,
         gstreamer1.0-plugins-good,
# for running GTK+ apps headless:
         at-spi2-core,
         dbus-x11,
         xauth,
         xvfb

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/gkarsay/parlatype/releases .*/parlatype-(\d\S*)\.tar\.gz

## parlatype 3.0

=== debian/changelog ===
parlatype (3.0-2) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/rules: fix whitespace damage that breaks s390x builds (Closes: #1000388)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Mon, 22 Nov 2021 22:34:16 +0100

parlatype (3.0-1) unstable; urgency=medium

  * New upstream version 3.0
  * Add upstream's changed signing key
  * Update copyright
  * Remove upstream patches
  * Update from libparlatype3 to libparlatype5
  * Raise gir package version
  * Update parlatype.install: new icons, .asr files
  * Fix autopkgtest (new source file and flag, allow-stderr)
  * Enable pocketsphinx (again)
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Remove meson constraints (unnecessary since buster)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Mon, 15 Nov 2021 21:19:21 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,17 @@
                desktop-file-utils <!nocheck>,
                gobject-introspection,
                gstreamer1.0-plugins-good <!nocheck>,
+               iso-codes,
                libgirepository1.0-dev,
                libgladeui-dev (>= 3.15),
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgtk-3-dev (>= 3.22.0),
+               libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
+               libsphinxbase-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libxml2-utils,
-               meson (>= 0.47.2),
+               locales-all <!nocheck>,
+               meson,
                xauth <!nocheck>,
                xvfb <!nocheck>,
                yelp-tools
@@ -23,7 +27,7 @@
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.parlatype.org/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype
@@ -43,16 +47,18 @@
  controlled with the "Play" button from your keyboard even if its window is not
  focused.
 
-Package: libparlatype3
+Package: libparlatype5
 Architecture: any
 Section: libs
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Breaks: libparlatype1,
-        libparlatype2
+        libparlatype2,
+        libparlatype3
 Replaces: libparlatype1,
-          libparlatype2
+          libparlatype2,
+          libparlatype3
 Multi-Arch: same
 Description: Library for Parlatype - runtime version
  Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
@@ -64,8 +70,8 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libparlatype3 (= ${binary:Version}),
-         gir1.2-parlatype-3.0 (= ${binary:Version}),
+         libparlatype5 (= ${binary:Version}),
+         gir1.2-parlatype-4.0 (= ${binary:Version}),
          libglib2.0-dev (>= 2.35.3),
          libgtk-3-dev (>= 3.7.7)
 Recommends: libparlatype-doc
@@ -92,15 +98,17 @@
  This package contains the HTML documentation for the Parlatype library
  in /usr/share/doc/libparlatype-doc/html/ .
 
-Package: gir1.2-parlatype-3.0
+Package: gir1.2-parlatype-4.0
 Architecture: any
 Section: introspection
 Depends: ${misc:Depends},
          ${gir:Depends}
 Breaks: gir1.2-parlatype-1.0,
-        gir1.2-parlatype-2.0
+        gir1.2-parlatype-2.0,
+        gir1.2-parlatype-3.0
 Replaces: gir1.2-parlatype-1.0,
-          gir1.2-parlatype-2.0
+          gir1.2-parlatype-2.0,
+          gir1.2-parlatype-3.0
 Multi-Arch: same
 Description: Library for Parlatype - gir bindings
  Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer

=== debian/rules ===
--- 
+++ 
@@ -2,12 +2,24 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTIONS = -Dglade=true -Dgir=true -Dasr=false
+CONFIGURE_OPTIONS = -Dglade=true -Dgir=true
 
 ifneq ($(filter libparlatype-doc,$(shell dh_listpackages)),)
 CONFIGURE_OPTIONS += -Dgtk-doc=true
 else
 CONFIGURE_OPTIONS += -Dgtk-doc=false
+endif
+
+# Configure without ASR (Automatic Speech Recognition) on architectures
+# that don't have libsphinxbase/libpocketsphinx.
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+ifneq (,$(filter mips64el mipsel s390x alpha ia64 powerpc,$(DEB_HOST_ARCH)))
+CONFIGURE_OPTIONS += -Dpocketsphinx=false
+override_dh_install:
+	dh_install -Xasr.page \
+		-Xasr-setup.page
+else
+CONFIGURE_OPTIONS += -Dpocketsphinx=true
 endif
 
 override_dh_auto_configure:

## parlatype 3.1

=== meson_options.txt ===
--- 
+++ 
@@ -17,8 +17,14 @@
 	description: 'Install GObject Introspection data, requires gobject-introspection'
 )
 option(
-	'asr',
+	'pocketsphinx',
 	type: 'boolean',
-	value: true,
+	value: false,
 	description: 'Compile with ASR, requires CMU Sphinx'
 )
+option(
+	'deepspeech',
+	type: 'boolean',
+	value: false,
+	description: 'Compile with ASR, requires Mozilla Deepspeech'
+)

=== debian/changelog ===
parlatype (3.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no changes needed)
  * Don't install *.asr files on architectures without pocketsphinx
    (Closes: #1008132)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 12 Jun 2022 13:46:39 +0200

parlatype (3.1-1) unstable; urgency=medium

  * New upstream version 3.1
  * Update symbols
  * Add Debian-specific patch (English language model from pocketsphinx)
  * Remove locales-all dependency

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 19 Dec 2021 22:19:19 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
                libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libsphinxbase-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libxml2-utils,
-               locales-all <!nocheck>,
                meson,
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -27,7 +26,7 @@
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-3-doc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.parlatype.org/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,8 @@
 CONFIGURE_OPTIONS += -Dpocketsphinx=false
 override_dh_install:
 	dh_install -Xasr.page \
-		-Xasr-setup.page
+		-Xasr-setup.page \
+		-X*.asr
 else
 CONFIGURE_OPTIONS += -Dpocketsphinx=true
 endif

## parlatype 4.2

=== meson_options.txt ===
option(
  'gtk-doc',
  type: 'boolean',
  value: false,
  description: 'Install library reference, requires gtk-doc'
)
option(
  'gir',
  type: 'boolean',
  value: false,
  description: 'Install GObject Introspection data, requires gobject-introspection'
)
option(
  'pocketsphinx',
  type: 'boolean',
  value: false,
  description: 'Compile with ASR, requires CMU Sphinx'
)

=== debian/changelog ===
parlatype (4.2-2) unstable; urgency=medium

  * parlatype-common: add Breaks+Replaces parlatype (<< 4.2)
    Thanks to Andreas Beckmann (Closes: #1076679)
  * Move man page back from parlatype-common (lintian warning)
  * Move metainfo back from parlatype-common (AppStream warning)
  * parlatype: aforementioned moves require Breaks+Replaces parlatype-common

 -- Gabor Karsay <gabor.karsay@gmx.at>  Thu, 25 Jul 2024 17:52:46 +0200

parlatype (4.2-1) unstable; urgency=medium

  * New upstream version 4.2
  * Update watch file
  * Refresh patch #02
  * Add patch for autopkgtest
  * Remove glade option and copyright of its assets
  * Update copyright for added/removed files
  * Update homepage to www.parlatype.xyz
  * Change app ID to xyz.parlatype.Parlatype (install)
  * Raise GTK dependency from 3 to 4
  * Update gir package to 5.0
  * Update lib package to libparlatype7
  * Move arch-independent files into package parlatype-common
  * Enable cross-compiling GObject introspection data
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Lintian override for gir (false positive)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Sun, 09 Jun 2024 13:00:35 +0200

parlatype (3.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063211

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 19:57:19 +0000

parlatype (3.1-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Disable a test that is changing LANGUAGE env (Closes: #1052809)

 -- Gabor Karsay <gabor.karsay@gmx.at>  Wed, 01 Nov 2023 20:48:41 +0100

=== debian/control ===
Source: parlatype
Section: sound
Priority: optional
Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
Build-Depends: appstream-util <!nocheck>,
               at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils <!nocheck>,
               dh-sequence-gir,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gobject-introspection (>= 1.78.1-9~),
               gstreamer1.0-plugins-good <!nocheck>,
               iso-codes,
               libadwaita-1-dev (>= 1.4),
               libgstreamer1.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgtk-4-dev (>= 4.10),
               libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
               libsphinxbase-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
               libxml2-utils,
               meson (>= 0.60.0),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               yelp-tools
Build-Depends-Indep:
               gtk-doc-tools,
               libglib2.0-doc,
               libgtk-4-doc
Standards-Version: 4.7.0
Homepage: https://www.parlatype.xyz/
Vcs-Git: https://salsa.debian.org/gkarsay/parlatype.git
Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype
Rules-Requires-Root: no

Package: parlatype
Architecture: any
Depends: gstreamer1.0-plugins-good,
         ${shlibs:Depends},
         ${misc:Depends},
         parlatype-common (= ${source:Version})
Suggests: libreoffice-parlatype
Breaks: parlatype-libreoffice-helpers (<= 1.6.2),
        libreoffice-parlatype (<= 3.1.1),
        parlatype-common (= 4.2-1)
Replaces: parlatype-common (= 4.2-1)
Description: Minimal audio player for manual speech transcription
 Plays audio sources to transcribe them in your favourite text application.
 Speed of playback can be changed without changing the pitch and on pause it
 will rewind for a few seconds according to your preferences.

Package: parlatype-common
Architecture: all
Depends: ${misc:Depends}
Breaks: parlatype (<< 4.2)
Replaces: parlatype (<< 4.2)
Suggests: parlatype (= ${source:Version})
Multi-Arch: foreign
Description: Minimal audio player for manual speech transcription (arch-independent files)
 Plays audio sources to transcribe them in your favourite text application.
 Speed of playback can be changed without changing the pitch and on pause it
 will rewind for a few seconds according to your preferences.
 .
 This package contains the arch-independent files in /usr/share.

Package: libparlatype7
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libparlatype1,
        libparlatype2,
        libparlatype3,
        libparlatype5,
        libparlatype5t64
Replaces: libparlatype1,
          libparlatype2,
          libparlatype3,
          libparlatype5,
          libparlatype5t64
Multi-Arch: same
Description: Library for Parlatype - runtime version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains runtime libraries needed by Parlatype.

Package: libparlatype-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libparlatype7 (= ${binary:Version}),
         gir1.2-parlatype-5.0 (= ${binary:Version}),
         libglib2.0-dev (>= 2.70),
         libgtk-4-dev
Recommends: libparlatype-doc
Multi-Arch: same
Description: Library for Parlatype - development version
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package provides the necessary development libraries and include
 files to develop and compile libparlatype.

Package: libparlatype-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
            libgtk-4-doc
Suggests: devhelp
Multi-Arch: foreign
Description: Documentation files for the Parlatype library
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package contains the HTML documentation for the Parlatype library
 in /usr/share/doc/libparlatype-doc/html/ .

Package: gir1.2-parlatype-5.0
Architecture: any
Section: introspection
Depends: ${misc:Depends},
         ${gir:Depends}
Breaks: gir1.2-parlatype-1.0,
        gir1.2-parlatype-2.0,
        gir1.2-parlatype-3.0,
        gir1.2-parlatype-4.0
Replaces: gir1.2-parlatype-1.0,
          gir1.2-parlatype-2.0,
          gir1.2-parlatype-3.0,
          gir1.2-parlatype-4.0
Multi-Arch: same
Description: Library for Parlatype - gir bindings
 Provides the GStreamer backend for Parlatype, a wave loader and a wave viewer
 widget. Mainly used by Parlatype but open for other programs as well.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,11 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-CONFIGURE_OPTIONS = -Dglade=true -Dgir=true
+CONFIGURE_OPTIONS = -Dgir=true
+
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+CONFIGURE_OPTIONS += --cross-file=$(DEB_HOST_GNU_TYPE)-gobject-introspection.ini
+endif
 
 ifneq ($(filter libparlatype-doc,$(shell dh_listpackages)),)
 CONFIGURE_OPTIONS += -Dgtk-doc=true

=== debian/tests/control ===
--- 
+++ 
@@ -9,3 +9,4 @@
          dbus-x11,
          xauth,
          xvfb
+Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=searchmode=plain,\
pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/gkarsay/@PACKAGE@/releases?per_page=10 \
https://github.com/gkarsay/@PACKAGE@/releases/download/v\d+[\.\d+]*/@PACKAGE@-@ANY_VERSION@\.tar\.(?:gz|xz)

## parlatype 4.3

=== meson_options.txt ===
--- 
+++ 
@@ -11,8 +11,14 @@
   description: 'Install GObject Introspection data, requires gobject-introspection'
 )
 option(
+  'pocketsphinx-legacy',
+  type: 'boolean',
+  value: false,
+  description: 'Compile with ASR, requires PocketSphinx 5prealpha'
+)
+option(
   'pocketsphinx',
   type: 'boolean',
   value: false,
-  description: 'Compile with ASR, requires CMU Sphinx'
+  description: 'Compile with ASR, requires PocketSphinx 5'
 )

=== debian/changelog ===
parlatype (4.3-1) unstable; urgency=medium

  * New upstream version 4.3
  * d/control: drop libsphinxbase-dev (Closes: ##1127941)
  * d/control: switch to pocketsphinx5 (Closes: #1128275)
  * d/control: switch appstream-util to appstream (Closes: #1119102)
  * d/parlatype.docs: add NEWS (Closes: #1077596)
  * d/control: depend on dbus-daemon instead of dbus (Closes: #1122695)
  * d/control: remove redundant Rules-Requires-Root
  * d/control: remove redundent Priority
  * d/control: fix lintian gir-package-name-does-not-match
  * d/copyright: new file
  * d/rules: option name changed to pocketsphinx-legacy
  * d/watch: update to version 5
  * Update dependencies
  * Update symbols
  * Remove obsolete lintian-overrides
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Bump Standards-Version to 4.7.3 (removed Priority)
  * Drop obsolete patch #2
  * Add patch to disable tests with timeouts

 -- Gabor Karsay <gabor.karsay@gmx.at>  Tue, 17 Feb 2026 18:51:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: parlatype
 Section: sound
-Priority: optional
 Maintainer: Gabor Karsay <gabor.karsay@gmx.at>
-Build-Depends: appstream-util <!nocheck>,
+Build-Depends: appstream <!nocheck>,
                at-spi2-core <!nocheck>,
-               dbus <!nocheck>,
+               dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                desktop-file-utils <!nocheck>,
                dh-sequence-gir,
@@ -13,10 +12,10 @@
                gobject-introspection (>= 1.78.1-9~),
                gstreamer1.0-plugins-good <!nocheck>,
                iso-codes,
-               libadwaita-1-dev (>= 1.4),
+               libadwaita-1-dev (>= 1.5),
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libgtk-4-dev (>= 4.10),
+               libgtk-4-dev (>= 4.14),
                libpocketsphinx-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libsphinxbase-dev [!mips64el !mipsel !s390x !alpha !ia64 !powerpc],
                libxml2-utils,
@@ -28,11 +27,10 @@
                gtk-doc-tools,
                libglib2.0-doc,
                libgtk-4-doc
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://www.parlatype.xyz/
 Vcs-Git: https://salsa.debian.org/gkarsay/parlatype.git
 Vcs-Browser: https://salsa.debian.org/gkarsay/parlatype
-Rules-Requires-Root: no
 
 Package: parlatype
 Architecture: any
@@ -43,8 +41,8 @@
 Suggests: libreoffice-parlatype
 Breaks: parlatype-libreoffice-helpers (<= 1.6.2),
         libreoffice-parlatype (<= 3.1.1),
-        parlatype-common (= 4.2-1)
-Replaces: parlatype-common (= 4.2-1)
+        parlatype-common (<< 4.3)
+Replaces: parlatype-common (<< 4.3)
 Description: Minimal audio player for manual speech transcription
  Plays audio sources to transcribe them in your favourite text application.
  Speed of playback can be changed without changing the pitch and on pause it
@@ -53,8 +51,8 @@
 Package: parlatype-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: parlatype (<< 4.2)
-Replaces: parlatype (<< 4.2)
+Breaks: parlatype (<< 4.3)
+Replaces: parlatype (<< 4.3)
 Suggests: parlatype (= ${source:Version})
 Multi-Arch: foreign
 Description: Minimal audio player for manual speech transcription (arch-independent files)
@@ -93,8 +91,9 @@
 Depends: ${misc:Depends},
          libparlatype7 (= ${binary:Version}),
          gir1.2-parlatype-5.0 (= ${binary:Version}),
-         libglib2.0-dev (>= 2.70),
+         libglib2.0-dev (>= 2.76),
          libgtk-4-dev
+Provides: ${gir:Provides}
 Recommends: libparlatype-doc
 Multi-Arch: same
 Description: Library for Parlatype - development version

=== debian/rules ===
--- 
+++ 
@@ -18,13 +18,13 @@
 # that don't have libsphinxbase/libpocketsphinx.
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 ifneq (,$(filter mips64el mipsel s390x alpha ia64 powerpc,$(DEB_HOST_ARCH)))
-CONFIGURE_OPTIONS += -Dpocketsphinx=false
+CONFIGURE_OPTIONS += -Dpocketsphinx-legacy=false
 override_dh_install:
 	dh_install -Xasr.page \
 		-Xasr-setup.page \
 		-X*.asr
 else
-CONFIGURE_OPTIONS += -Dpocketsphinx=true
+CONFIGURE_OPTIONS += -Dpocketsphinx-legacy=true
 endif
 
 override_dh_auto_configure:

=== debian/watch ===
Version: 5
Template: GitHub
Owner: gkarsay
Project: @PACKAGE@
Pgp-Mode: auto
